input_pdf=$1
watermark=$2
new_pdf="${input_pdf::-4}_watermarked.pdf"

# create watermark template
cd ~/Documents/prog/latex/watermark/
sed -i 's/\(\\def\\watermark{\).*}/\1'"${watermark}"'}/g' watermark_template.tex
latexmk -pdf watermark_template.tex > /dev/null

cd -
pdftk $input_pdf multistamp ~/Documents/prog/latex/watermark/watermark_template.pdf output $new_pdf
